Debian Bug report logs - #653186
please build for Multi-Arch

version graph

Package: libcap2; Maintainer for libcap2 is Torsten Werner <twerner@debian.org>; Source for libcap2 is src:libcap2.

Reported by: Kees Cook <kees@debian.org>

Date: Sat, 24 Dec 2011 21:30:02 UTC

Severity: normal

Tags: patch

Found in version libcap2/1:2.22-1

Fixed in versions libcap2/1:2.22-1.1, 1:2.22-1.1

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Werner <twerner@debian.org>:
Bug#653186; Package libcap2. (Sat, 24 Dec 2011 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Werner <twerner@debian.org>. (Sat, 24 Dec 2011 21:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: please build for Multi-Arch
Date: Sat, 24 Dec 2011 13:26:57 -0800
[Message part 1 (text/plain, inline)]
Package: libcap2
Version: 1:2.22-1
Severity: normal
Tags: patch

Hi!

In support of the Multi-Arch release goal, here is a patch that builds
libcap2 to be Multi-Arch installable, which includes splitting the PAM
module into a separate package.

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libcap2_2.22-2.debdiff (text/plain, attachment)]

Added indication that bug 653186 blocks 670531 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:04 GMT) Full text and rfc822 format available.

Added indication that bug 653186 blocks 670532 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:12 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 16:51:08 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 16:51:08 GMT) Full text and rfc822 format available.

Message #14 received at 653186-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 653186-close@bugs.debian.org
Subject: Bug#653186: fixed in libcap2 1:2.22-1.1
Date: Sun, 13 May 2012 16:47:13 +0000
Source: libcap2
Source-Version: 1:2.22-1.1

We believe that the bug you reported is fixed in the latest version of
libcap2, which is due to be installed in the Debian FTP archive:

libcap-dev_2.22-1.1_amd64.deb
  to main/libc/libcap2/libcap-dev_2.22-1.1_amd64.deb
libcap2-bin_2.22-1.1_amd64.deb
  to main/libc/libcap2/libcap2-bin_2.22-1.1_amd64.deb
libcap2_2.22-1.1.debian.tar.gz
  to main/libc/libcap2/libcap2_2.22-1.1.debian.tar.gz
libcap2_2.22-1.1.dsc
  to main/libc/libcap2/libcap2_2.22-1.1.dsc
libcap2_2.22-1.1_amd64.deb
  to main/libc/libcap2/libcap2_2.22-1.1_amd64.deb
libpam-cap_2.22-1.1_amd64.deb
  to main/libc/libcap2/libpam-cap_2.22-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libcap2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 10:28:44 +0100
Source: libcap2
Binary: libcap2-bin libcap2 libcap-dev libpam-cap
Architecture: source amd64
Version: 1:2.22-1.1
Distribution: unstable
Urgency: low
Maintainer: Torsten Werner <twerner@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libcap-dev - development libraries and header files for libcap2
 libcap2    - support for getting/setting POSIX.1e capabilities
 libcap2-bin - basic utility programs for using capabilities
 libpam-cap - PAM module for implementing capabilities
Closes: 653186
Changes: 
 libcap2 (1:2.22-1.1) unstable; urgency=low
 .
   * Non-maintainer upload with permission from Torsten Werner.
   * Apply Multiarch patch from Kees Cook.  Closes: #653186.
   * debian/{control,rules,compat}: Build for Multi-arch.
   * debian/{control,libpam-cap.*}: Split PAM module into separate binary
     package so it can be built for Multi-arch separate from the -bins pkg.
Checksums-Sha1: 
 dbb29431819ba1b154232a92484d0fcdb5ace883 2008 libcap2_2.22-1.1.dsc
 6523d08856015cb8993ecad2e24ac8eb9eabd7d7 8711 libcap2_2.22-1.1.debian.tar.gz
 d31e5a1ba029bd81d15b9bdd175b70c5a97b6b83 1223232 libcap2-bin_2.22-1.1_amd64.deb
 e801e8974a56a7df7bd5110df86668efa9415f44 13468 libcap2_2.22-1.1_amd64.deb
 3c8066e494c563eb0940e8f1a17df882e5dacda9 26228 libcap-dev_2.22-1.1_amd64.deb
 7589b02e808db9a851b6cebebe1c88429893f409 10624 libpam-cap_2.22-1.1_amd64.deb
Checksums-Sha256: 
 4cdea9d981153b699b25088583d2f902f111f74e2594cfce99d7105ffa9644e6 2008 libcap2_2.22-1.1.dsc
 580d092acf29ac5ac711d712cde3247a798d17c9c7020d40280764ab71d5d096 8711 libcap2_2.22-1.1.debian.tar.gz
 1f0183342d2d713ae5b76862c2b0fa3212b968ea5d30ccfeae2baf36edf9b787 1223232 libcap2-bin_2.22-1.1_amd64.deb
 3489601b3641e46550d477a3ee09ea199f7a6296c50c28e3c7d2f85577b2cc9e 13468 libcap2_2.22-1.1_amd64.deb
 0dcc2f7dc8bb49017da85af485d6b77b18dd4875547bb400ffb450cfa28c49fb 26228 libcap-dev_2.22-1.1_amd64.deb
 c2e1e159f3a51fb58af0cc9442806155d3d6c8da2b00f0f3e1b33aaec92194b9 10624 libpam-cap_2.22-1.1_amd64.deb
Files: 
 7081c7d25d3cc3e6f267ab674337fc2f 2008 libs optional libcap2_2.22-1.1.dsc
 3728151ed27de90e02357124cbac9c47 8711 libs optional libcap2_2.22-1.1.debian.tar.gz
 0b42de5b77bce33f628284488dc021a7 1223232 utils optional libcap2-bin_2.22-1.1_amd64.deb
 7b494305418cb47c2d37a1394aaa740c 13468 libs standard libcap2_2.22-1.1_amd64.deb
 da95711e0cb5ff29d7754d43c79c0706 26228 libdevel optional libcap-dev_2.22-1.1_amd64.deb
 a78050dc93cf393d12a3a0481395aef6 10624 libs optional libpam-cap_2.22-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPr5IgAAoJEBG05f8VsP2CdCYP/3qTb43XjzvGY4vvbxJ6fWPC
9AUYe0iYG+hx5GQIIa4bz2mS5ysxk6JWPLoc3UPFbhBHLs3YB9CL8LHhP5WPFyob
Z+P+yPHMvZOUe7CKI1UVVrS6ecnefzM8Xkr3RMiw8eljpUlfq6Kiy3M2XLNmfs4V
O00xLYZNhVPUWmUFtTMKKsYsB2pM16qMydBu1ztBu5TVqwRh2Mh7v5SUIU6kfvoS
Gzna8TG6+DHrfgmXj8NRiTANCs4cQ157/VkT3F6li8bmPMILr2hUNMx32H0HH6Qc
or111Dq36vstbD2UoKxF1LaPCnricJ7dA2TinY2KCUcScB8vkUW46BIgKDovjS/v
Jw1YZtF7VP6nqejj91aMQpklLFCfII4mFWnKENwT6QXCQ3gxPODFD7+qsuu7vnyk
bm8qSypuTIwcHlrOkRbGBz1uxOE+1Fs2CQIqgKvYYd4Udca7M9IdPbj0f1RrNWN9
0h9wlxjqzKXtOLYBj7AGKQTXDVp9JfavoDerRoqdhCugbcq9DmADwW4QE/JDeHOi
wKXvgm6YVvTswvdFcbvQdaFuFo24hZmvLjfFKpBgtbpicIzJgyfMrCzl91FTcmrS
m2aOFV9/W9Vl6qBwAWxEPtJJNNfrB2mhRA40qlq8arU5eL0aNXuANSlpVfOhaogr
zR5uZ4MeJ5c7SzHKaEHK
=b0Qb
-----END PGP SIGNATURE-----





Added indication that bug 653186 blocks 677741 Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Wed, 22 Aug 2012 16:03:09 GMT) Full text and rfc822 format available.

Bug reopened Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Tue, 04 Sep 2012 16:36:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libcap2/1:2.22-1.1. Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Tue, 04 Sep 2012 16:36:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions libcap2/1:2.22-1.1. Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Tue, 04 Sep 2012 16:45:05 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Thu, 20 Sep 2012 08:00:03 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Thu, 20 Sep 2012 08:00:03 GMT) Full text and rfc822 format available.

Message #27 received at 653186-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Tobias Hansen <tobias.han@gmx.de>
Cc: <653186-done@bugs.debian.org>
Subject: Re: Reopen, because still affecting wheezy
Date: Thu, 20 Sep 2012 08:56:33 +0100
Version: 1:2.22-1.1

On 04.09.2012 17:33, Tobias Hansen wrote:
> reopen 653186

Please don't.  The bug is resolved and the BTS is quite capable of 
determining which suites contain a fixed version without artificially 
fiddling with the bug state.

Regards,

Adam



Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Werner <twerner@debian.org>:
Bug#653186; Package libcap2. (Thu, 20 Sep 2012 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to Torsten Werner <twerner@debian.org>. (Thu, 20 Sep 2012 08:33:06 GMT) Full text and rfc822 format available.

Message #32 received at 653186@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>,653186@bugs.debian.org
Subject: Re: Reopen, because still affecting wheezy
Date: Thu, 20 Sep 2012 10:30:39 +0200
[Message part 1 (text/plain, inline)]
Ok, but it is the only way to make it show up as blocking bug (of 677741).

Best,
Tobias Hansen



"Adam D. Barratt" <adam@adam-barratt.org.uk> schrieb:

>Version: 1:2.22-1.1
>
>On 04.09.2012 17:33, Tobias Hansen wrote:
>> reopen 653186
>
>Please don't.  The bug is resolved and the BTS is quite capable of 
>determining which suites contain a fixed version without artificially 
>fiddling with the bug state.
>
>Regards,
>
>Adam
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Oct 2012 07:30:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:41:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.